import { PureComponent } from 'react';
import { PaneController } from '../controllers/pane-controller';
import { TreeMaster } from '../controllers/tree-master';
import { Tree } from '../controllers/tree';
import './style.less';
export declare class Pane extends PureComponent<{
    treeMaster: TreeMaster;
    controller: PaneController;
    hideFilter?: boolean;
    onClose: () => void;
}, {
    tree: Tree | null;
}> {
    private controller;
    private simulatorRendererReadyDispose;
    private changeDocumentDispose;
    private removeDocumentDispose;
    constructor(props: any);
    changeTree: () => void;
    componentWillUnmount(): void;
    onClose: () => void;
    render(): JSX.Element;
}
